/// <reference types="bn.js" />
import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { BN, Program } from "@project-serum/anchor";
import { Escrow } from "../artifacts/escrow";
export type SetRenecPriceParams = {
    escrowConfigPubkey: PublicKey;
    tradeConfigAuthority: PublicKey;
    tokenMint: PublicKey;
    tokenInfoPubkey: PublicKey;
    oneRenecValueInToken: BN;
};
export declare function setRenecPrice(program: Program<Escrow>, params: SetRenecPriceParams): Promise<Instruction>;
