/// <reference types="bn.js" />
import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { Program, BN } from "@project-serum/anchor";
import { Escrow } from "../artifacts/escrow";
import { PDAInfo } from "../pda";
export type MakeOrderParams = {
    escrowConfig: PublicKey;
    side: object;
    bondType: object;
    tradeOrderPDA: PDAInfo;
    tokenMint: PublicKey;
    tokenInfo: PublicKey;
    userTokenAccount: PublicKey;
    tokenVaultPDA: PDAInfo;
    nativeVaultPDA: PDAInfo;
    user: PublicKey;
    tokenAmount: BN;
    fiatAmount: BN;
};
export declare function makeOrder(program: Program<Escrow>, params: MakeOrderParams): Promise<Instruction>;
